﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace GPSLib
{
    class GPSSourceFile : GPSSource
    {
        string fileName;
        StreamReader sr;
        int LineDelay;
       
        public GPSSourceFile(string _fileName,int _LineDelay)
        {
            fileName = _fileName;
            LineDelay = _LineDelay;
        }

        public override bool isOpen()
        {
            if (sr.EndOfStream)
            {
                return true;
            }
            return false;
        }

        override public void Close()
        {
            sr.Close();
        }

        override public bool Open()        
        {
            sr = File.OpenText(fileName);
            return true;
        }

        override public int Timeouts()
        {
            return 0;
        }

        override public void DiscardBuffer()
        {
        }

        override protected string getData()
        {
            if (LineDelay > 0)
            {
                System.Threading.Thread.Sleep(LineDelay);
            }
            return sr.ReadLine();
        }
    }
}
